Subject: bug#14686: Bug#713022: truncate man and info pages must mention -s / -r mandatory

From: [email-masked]
Date: Sat, 22 Jun 2013 16:42:01 +0800

I thought it would do the obvious, like touch does.

NAME
       touch - change file timestamps

SYNOPSIS
       touch [OPTION]... FILE...

DESCRIPTION
       Update  the  access  and modification times of each FILE to the current
       time.

       A FILE argument that does not exist is created empty, unless -c  or  -h
       is supplied.

NAME
       truncate - shrink or extend the size of a file to the specified size

SYNOPSIS
       truncate OPTION... FILE...

DESCRIPTION
       Shrink or extend the size of each FILE to the specified size

       A FILE argument that does not exist is created.

Who would have guessed that for some reason an argument is required,
I don't see why
$ truncate FILE
cannot just work too.
You know, to truncate the file, to zero bytes.
But hey I'm not a pro.